public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2018-02-19 17:29 Richard Farina
  0 siblings, 0 replies; 13+ messages in thread
From: Richard Farina @ 2018-02-19 17:29 UTC (permalink / raw
  To: gentoo-commits

commit:     520a13410181e8ce246d60e8e9facd13bb161708
Author:     Zero_Chaos <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 16:45:36 2018 +0000
Commit:     Richard Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 17:29:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=520a1341

dev-python/pyFFTW: import from pentoo overlay

needed dep for soapy_power

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-python/pyFFTW/Manifest             |  1 +
 dev-python/pyFFTW/metadata.xml         | 15 +++++++++++++++
 dev-python/pyFFTW/pyFFTW-0.10.4.ebuild | 28 ++++++++++++++++++++++++++++
 dev-python/pyFFTW/pyFFTW-9999.ebuild   | 28 ++++++++++++++++++++++++++++
 4 files changed, 72 insertions(+)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
new file mode 100644
index 00000000000..1076f568f08
--- /dev/null
+++ b/dev-python/pyFFTW/Manifest
@@ -0,0 +1 @@
+DIST pyFFTW-0.10.4.tar.gz 97736 BLAKE2B 4d9b7f301e3455af2bc19daf5eb6dc6549df7d50e614d924310f6b20838ad308342ae02b73eff4c9317faba5ff0c0f6dbb7f1ff2ccf1636c6d963a7222d57298 SHA512 d3743e3834ae753898c1abd49762ce5ec6bf808ececb2db93337698ee6b6f4f92969d6a9e61a88230709095ed1b276e722a92330855f349c60b8a9936ab53680

diff --git a/dev-python/pyFFTW/metadata.xml b/dev-python/pyFFTW/metadata.xml
new file mode 100644
index 00000000000..5898470d0c5
--- /dev/null
+++ b/dev-python/pyFFTW/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>zerochaos@gentoo.org</email>
+		<name>Rick Farina</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>radio@gentoo.org</email>
+		<name>Radio</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">pyFFTW/pyFFTW</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/pyFFTW/pyFFTW-0.10.4.ebuild b/dev-python/pyFFTW/pyFFTW-0.10.4.ebuild
new file mode 100644
index 00000000000..e8c88d277ab
--- /dev/null
+++ b/dev-python/pyFFTW/pyFFTW-0.10.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit distutils-r1
+
+DESCRIPTION="A pythonic python wrapper around FFTW"
+HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
+
+LICENSE="BSD"
+SLOT="0"
+if [ "${PV}" = "9999" ]; then
+	KEYWORDS=""
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
+else
+	KEYWORDS="~amd64 ~x86"
+	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+IUSE=""
+
+DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/cython[${PYTHON_USEDEP}]
+		>=sci-libs/fftw-3.3:3.0="
+RDEPEND="${DEPEND}"

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
new file mode 100644
index 00000000000..e8c88d277ab
--- /dev/null
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit distutils-r1
+
+DESCRIPTION="A pythonic python wrapper around FFTW"
+HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
+
+LICENSE="BSD"
+SLOT="0"
+if [ "${PV}" = "9999" ]; then
+	KEYWORDS=""
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
+else
+	KEYWORDS="~amd64 ~x86"
+	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+IUSE=""
+
+DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/cython[${PYTHON_USEDEP}]
+		>=sci-libs/fftw-3.3:3.0="
+RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2019-12-20 19:41 Rick Farina
  0 siblings, 0 replies; 13+ messages in thread
From: Rick Farina @ 2019-12-20 19:41 UTC (permalink / raw
  To: gentoo-commits

commit:     0815f2cb58f7ea7ab01466e4f91bf1142dc1cde0
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 20 19:24:59 2019 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Fri Dec 20 19:24:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0815f2cb

dev-python/pyFFTW: bump and py3.7

Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 dev-python/pyFFTW/Manifest                                     | 1 +
 dev-python/pyFFTW/{pyFFTW-9999.ebuild => pyFFTW-0.11.1.ebuild} | 4 ++--
 dev-python/pyFFTW/pyFFTW-9999.ebuild                           | 4 ++--
 3 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 1076f568f08..4305cac4cad 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1 +1,2 @@
 DIST pyFFTW-0.10.4.tar.gz 97736 BLAKE2B 4d9b7f301e3455af2bc19daf5eb6dc6549df7d50e614d924310f6b20838ad308342ae02b73eff4c9317faba5ff0c0f6dbb7f1ff2ccf1636c6d963a7222d57298 SHA512 d3743e3834ae753898c1abd49762ce5ec6bf808ececb2db93337698ee6b6f4f92969d6a9e61a88230709095ed1b276e722a92330855f349c60b8a9936ab53680
+DIST pyFFTW-0.11.1.tar.gz 144045 BLAKE2B dcf37653e8d5259d8d74282699eb8d9820694f21e092528105e07a8c7e05fe213d908590560e83a5a4ad993716fcf343ef0780126bbd689ee4ff584a01ee6453 SHA512 88769fd65b1a9ba3228a920226ac82f9b4e0a9023b6b73fffc0dc52a8983197e4406c376e89d00888526cfe3a9abb3e15a576daa51ba5bea8e8302514176763a

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
similarity index 92%
copy from dev-python/pyFFTW/pyFFTW-9999.ebuild
copy to dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
index a230885802b..ae8b5c9fc97 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index a230885802b..ae8b5c9fc97 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2019-12-26 15:38 David Seifert
  0 siblings, 0 replies; 13+ messages in thread
From: David Seifert @ 2019-12-26 15:38 UTC (permalink / raw
  To: gentoo-commits

commit:     282f13f07ea80a3d568a85fb72ad71dc7694cc63
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 15:38:28 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 15:38:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=282f13f0

dev-python/pyFFTW: Remove old

Package-Manager: Portage-2.3.83, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/pyFFTW/Manifest             |  1 -
 dev-python/pyFFTW/pyFFTW-0.10.4.ebuild | 28 ----------------------------
 2 files changed, 29 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 4305cac4cad..7d0c35d8ed3 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1,2 +1 @@
-DIST pyFFTW-0.10.4.tar.gz 97736 BLAKE2B 4d9b7f301e3455af2bc19daf5eb6dc6549df7d50e614d924310f6b20838ad308342ae02b73eff4c9317faba5ff0c0f6dbb7f1ff2ccf1636c6d963a7222d57298 SHA512 d3743e3834ae753898c1abd49762ce5ec6bf808ececb2db93337698ee6b6f4f92969d6a9e61a88230709095ed1b276e722a92330855f349c60b8a9936ab53680
 DIST pyFFTW-0.11.1.tar.gz 144045 BLAKE2B dcf37653e8d5259d8d74282699eb8d9820694f21e092528105e07a8c7e05fe213d908590560e83a5a4ad993716fcf343ef0780126bbd689ee4ff584a01ee6453 SHA512 88769fd65b1a9ba3228a920226ac82f9b4e0a9023b6b73fffc0dc52a8983197e4406c376e89d00888526cfe3a9abb3e15a576daa51ba5bea8e8302514176763a

diff --git a/dev-python/pyFFTW/pyFFTW-0.10.4.ebuild b/dev-python/pyFFTW/pyFFTW-0.10.4.ebuild
deleted file mode 100644
index a230885802b..00000000000
--- a/dev-python/pyFFTW/pyFFTW-0.10.4.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
-inherit distutils-r1
-
-DESCRIPTION="A pythonic python wrapper around FFTW"
-HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
-
-LICENSE="BSD"
-SLOT="0"
-if [ "${PV}" = "9999" ]; then
-	KEYWORDS=""
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
-else
-	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-fi
-
-IUSE=""
-
-DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
-		dev-python/cython[${PYTHON_USEDEP}]
-		>=sci-libs/fftw-3.3:3.0="
-RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2020-12-04  3:16 Rick Farina
  0 siblings, 0 replies; 13+ messages in thread
From: Rick Farina @ 2020-12-04  3:16 UTC (permalink / raw
  To: gentoo-commits

commit:     f61562ee05f37bd7a3bca8ee89cbc275b27f7502
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 03:13:41 2020 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 03:15:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f61562ee

dev-python/pyFFTW: bump

python bump

Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 dev-python/pyFFTW/Manifest                                       | 1 +
 dev-python/pyFFTW/pyFFTW-0.11.1.ebuild                           | 2 +-
 dev-python/pyFFTW/{pyFFTW-0.11.1.ebuild => pyFFTW-0.12.0.ebuild} | 2 +-
 dev-python/pyFFTW/pyFFTW-9999.ebuild                             | 2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 7d0c35d8ed3..318b8f68c3d 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1 +1,2 @@
 DIST pyFFTW-0.11.1.tar.gz 144045 BLAKE2B dcf37653e8d5259d8d74282699eb8d9820694f21e092528105e07a8c7e05fe213d908590560e83a5a4ad993716fcf343ef0780126bbd689ee4ff584a01ee6453 SHA512 88769fd65b1a9ba3228a920226ac82f9b4e0a9023b6b73fffc0dc52a8983197e4406c376e89d00888526cfe3a9abb3e15a576daa51ba5bea8e8302514176763a
+DIST pyFFTW-0.12.0.tar.gz 147372 BLAKE2B 1ea1f1f8de6759c42781a535b30d7119c0cb02dffea3abfe4130a97c465e000aa9b3064a219718569552304513a77ac51aa309f1be29f9eecae25c63cce70c6c SHA512 e4d7258d5c053b5367d8c4f1892eba8e595f9d540c1c3e6caf61e0c113d598ba872b5e72a21edace66be70d9ad75c599e4b1fbc692e0015c3c1ae35e9a7ba599

diff --git a/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild b/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
index 25dfbd2b9be..e662251c842 100644
--- a/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python{3_6,3_7} )
+PYTHON_COMPAT=( python3_{6,7} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"

diff --git a/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild b/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
similarity index 94%
copy from dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
copy to dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
index 25dfbd2b9be..eafbb0bb8b9 100644
--- a/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python{3_6,3_7} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index 25dfbd2b9be..eafbb0bb8b9 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python{3_6,3_7} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2021-02-11 21:21 Rick Farina
  0 siblings, 0 replies; 13+ messages in thread
From: Rick Farina @ 2021-02-11 21:21 UTC (permalink / raw
  To: gentoo-commits

commit:     6b0fb2a5556ecd078de8a628badfef44602a6945
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 11 21:19:48 2021 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Thu Feb 11 21:21:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b0fb2a5

dev-python/pyFFTW: drop old

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 dev-python/pyFFTW/Manifest             |  1 -
 dev-python/pyFFTW/pyFFTW-0.11.1.ebuild | 28 ----------------------------
 2 files changed, 29 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 318b8f68c3d..94156daae57 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1,2 +1 @@
-DIST pyFFTW-0.11.1.tar.gz 144045 BLAKE2B dcf37653e8d5259d8d74282699eb8d9820694f21e092528105e07a8c7e05fe213d908590560e83a5a4ad993716fcf343ef0780126bbd689ee4ff584a01ee6453 SHA512 88769fd65b1a9ba3228a920226ac82f9b4e0a9023b6b73fffc0dc52a8983197e4406c376e89d00888526cfe3a9abb3e15a576daa51ba5bea8e8302514176763a
 DIST pyFFTW-0.12.0.tar.gz 147372 BLAKE2B 1ea1f1f8de6759c42781a535b30d7119c0cb02dffea3abfe4130a97c465e000aa9b3064a219718569552304513a77ac51aa309f1be29f9eecae25c63cce70c6c SHA512 e4d7258d5c053b5367d8c4f1892eba8e595f9d540c1c3e6caf61e0c113d598ba872b5e72a21edace66be70d9ad75c599e4b1fbc692e0015c3c1ae35e9a7ba599

diff --git a/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild b/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
deleted file mode 100644
index 043e2765e54..00000000000
--- a/dev-python/pyFFTW/pyFFTW-0.11.1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_7 )
-inherit distutils-r1
-
-DESCRIPTION="A pythonic python wrapper around FFTW"
-HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
-
-LICENSE="BSD"
-SLOT="0"
-if [ "${PV}" = "9999" ]; then
-	KEYWORDS=""
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
-else
-	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-fi
-
-IUSE=""
-
-DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
-		dev-python/cython[${PYTHON_USEDEP}]
-		>=sci-libs/fftw-3.3:3.0="
-RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2021-05-17 22:36 Sam James
  0 siblings, 0 replies; 13+ messages in thread
From: Sam James @ 2021-05-17 22:36 UTC (permalink / raw
  To: gentoo-commits

commit:     948c7899ab217067144a3d1b6865ff9a17a09dff
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun May 16 23:17:17 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 17 22:35:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=948c7899

dev-python/pyFFTW: fix fftw dependency

Closes: https://bugs.gentoo.org/648190
Signed-off-by: Sam James <sam <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/20846
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../pyFFTW/{pyFFTW-0.12.0.ebuild => pyFFTW-0.12.0-r1.ebuild}      | 8 +++++---
 dev-python/pyFFTW/pyFFTW-9999.ebuild                              | 8 +++++---
 2 files changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild b/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
similarity index 80%
rename from dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
rename to dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
index af233167188..80870ef7a97 100644
--- a/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
@@ -22,6 +22,8 @@ fi
 IUSE=""
 
 DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
-		dev-python/cython[${PYTHON_USEDEP}]
-		>=sci-libs/fftw-3.3:3.0="
-RDEPEND="${DEPEND}"
+		>=sci-libs/fftw-3.3:3.0=[threads]"
+RDEPEND="${PYTHON_DEPS}
+	${DEPEND}"
+BDEPEND="${PYTHON_DEPS}
+	dev-python/cython[${PYTHON_USEDEP}]"

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index af233167188..c667ef6827f 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -22,6 +22,8 @@ fi
 IUSE=""
 
 DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
-		dev-python/cython[${PYTHON_USEDEP}]
-		>=sci-libs/fftw-3.3:3.0="
-RDEPEND="${DEPEND}"
+		>=sci-libs/fftw-3.3:3.0=[threads]"
+RDEPEND="${DEPEND}
+	${PYTHON_DEPS}"
+BDEPEND="${PYTHON_DEPS}
+	dev-python/cython[${PYTHON_USEDEP}]"


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2021-11-03 19:27 Arthur Zamarin
  0 siblings, 0 replies; 13+ messages in thread
From: Arthur Zamarin @ 2021-11-03 19:27 UTC (permalink / raw
  To: gentoo-commits

commit:     a00fdb44134cc0f5c1156a16e146813ae576471e
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  3 19:07:23 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Nov  3 19:27:27 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a00fdb44

dev-python/pyFFTW: enable tests

Closes: https://bugs.gentoo.org/798201
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild | 31 ++++++++++++++++++++++---------
 1 file changed, 22 insertions(+), 9 deletions(-)

diff --git a/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild b/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
index 80870ef7a97..8ec87a34fe6 100644
--- a/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{8..9} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"
@@ -11,7 +11,7 @@ HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
 
 LICENSE="BSD"
 SLOT="0"
-if [ "${PV}" = "9999" ]; then
+if [[ "${PV}" = "9999" ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
 else
@@ -19,11 +19,24 @@ else
 	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 fi
 
-IUSE=""
+DEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	>=sci-libs/fftw-3.3:3.0=[threads]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/dask[${PYTHON_USEDEP}]
+		dev-python/scipy[${PYTHON_USEDEP}]
+	)
+"
 
-DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
-		>=sci-libs/fftw-3.3:3.0=[threads]"
-RDEPEND="${PYTHON_DEPS}
-	${DEPEND}"
-BDEPEND="${PYTHON_DEPS}
-	dev-python/cython[${PYTHON_USEDEP}]"
+distutils_enable_tests unittest
+
+python_test() {
+	cp -r -l -n test/ "${BUILD_DIR}/lib" || die
+	cd "${BUILD_DIR}/lib" || die
+	eunittest
+	rm -r test/ || die
+}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2021-11-03 19:27 Arthur Zamarin
  0 siblings, 0 replies; 13+ messages in thread
From: Arthur Zamarin @ 2021-11-03 19:27 UTC (permalink / raw
  To: gentoo-commits

commit:     8034c924f5f2ee668d33cc06162d50a276fa3814
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  3 19:07:29 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Nov  3 19:27:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8034c924

dev-python/pyFFTW: update live version

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyFFTW/pyFFTW-9999.ebuild | 31 ++++++++++++++++++++++---------
 1 file changed, 22 insertions(+), 9 deletions(-)

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index c667ef6827f..8ec87a34fe6 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{8..9} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"
@@ -11,7 +11,7 @@ HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
 
 LICENSE="BSD"
 SLOT="0"
-if [ "${PV}" = "9999" ]; then
+if [[ "${PV}" = "9999" ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
 else
@@ -19,11 +19,24 @@ else
 	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 fi
 
-IUSE=""
+DEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	>=sci-libs/fftw-3.3:3.0=[threads]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/dask[${PYTHON_USEDEP}]
+		dev-python/scipy[${PYTHON_USEDEP}]
+	)
+"
 
-DEPEND="dev-python/numpy[${PYTHON_USEDEP}]
-		>=sci-libs/fftw-3.3:3.0=[threads]"
-RDEPEND="${DEPEND}
-	${PYTHON_DEPS}"
-BDEPEND="${PYTHON_DEPS}
-	dev-python/cython[${PYTHON_USEDEP}]"
+distutils_enable_tests unittest
+
+python_test() {
+	cp -r -l -n test/ "${BUILD_DIR}/lib" || die
+	cd "${BUILD_DIR}/lib" || die
+	eunittest
+	rm -r test/ || die
+}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2021-12-28  9:03 Michał Górny
  0 siblings, 0 replies; 13+ messages in thread
From: Michał Górny @ 2021-12-28  9:03 UTC (permalink / raw
  To: gentoo-commits

commit:     a90def0c00a973df10a348eb0b1f440ee8d8504e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 28 08:20:36 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 28 09:03:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a90def0c

dev-python/pyFFTW: Bump to 0.13.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyFFTW/Manifest                               |  1 +
 .../pyFFTW/{pyFFTW-9999.ebuild => pyFFTW-0.13.0.ebuild}  | 16 ++++++++--------
 dev-python/pyFFTW/pyFFTW-9999.ebuild                     | 16 ++++++++--------
 3 files changed, 17 insertions(+), 16 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 94156daae57f..7857d7f47f2b 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1 +1,2 @@
 DIST pyFFTW-0.12.0.tar.gz 147372 BLAKE2B 1ea1f1f8de6759c42781a535b30d7119c0cb02dffea3abfe4130a97c465e000aa9b3064a219718569552304513a77ac51aa309f1be29f9eecae25c63cce70c6c SHA512 e4d7258d5c053b5367d8c4f1892eba8e595f9d540c1c3e6caf61e0c113d598ba872b5e72a21edace66be70d9ad75c599e4b1fbc692e0015c3c1ae35e9a7ba599
+DIST pyFFTW-0.13.0.tar.gz 158660 BLAKE2B c54096f0814625d49832094a6d823c6d258801a0831b07846993da97a713238a5df5b59beddc38b7e940685403178b2f3100f5713334fc9861757420bc87303a SHA512 1d4c69cc19dd00f2433037f25ea90335544403b542c0c5ca00cb055e0fde076ec9e00990f02da2385466be171ed8c910a5ce06a7cfa5efbc6544b2383bbce599

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-0.13.0.ebuild
similarity index 69%
copy from dev-python/pyFFTW/pyFFTW-9999.ebuild
copy to dev-python/pyFFTW/pyFFTW-0.13.0.ebuild
index 8ec87a34fe67..db7b32f540a5 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.13.0.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{8..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"
@@ -20,23 +20,23 @@ else
 fi
 
 DEPEND="
-	dev-python/numpy[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
 	>=sci-libs/fftw-3.3:3.0=[threads]
 "
 RDEPEND="${DEPEND}"
 BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
+	>=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
 	test? (
-		dev-python/dask[${PYTHON_USEDEP}]
-		dev-python/scipy[${PYTHON_USEDEP}]
+		>=dev-python/dask-1.0[${PYTHON_USEDEP}]
+		>=dev-python/scipy-1.2.0[${PYTHON_USEDEP}]
 	)
 "
 
 distutils_enable_tests unittest
 
 python_test() {
-	cp -r -l -n test/ "${BUILD_DIR}/lib" || die
+	cp -r -l -n tests/ "${BUILD_DIR}/lib" || die
 	cd "${BUILD_DIR}/lib" || die
 	eunittest
-	rm -r test/ || die
+	rm -r tests/ || die
 }

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index 8ec87a34fe67..db7b32f540a5 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{8..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
 DESCRIPTION="A pythonic python wrapper around FFTW"
@@ -20,23 +20,23 @@ else
 fi
 
 DEPEND="
-	dev-python/numpy[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
 	>=sci-libs/fftw-3.3:3.0=[threads]
 "
 RDEPEND="${DEPEND}"
 BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
+	>=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
 	test? (
-		dev-python/dask[${PYTHON_USEDEP}]
-		dev-python/scipy[${PYTHON_USEDEP}]
+		>=dev-python/dask-1.0[${PYTHON_USEDEP}]
+		>=dev-python/scipy-1.2.0[${PYTHON_USEDEP}]
 	)
 "
 
 distutils_enable_tests unittest
 
 python_test() {
-	cp -r -l -n test/ "${BUILD_DIR}/lib" || die
+	cp -r -l -n tests/ "${BUILD_DIR}/lib" || die
 	cd "${BUILD_DIR}/lib" || die
 	eunittest
-	rm -r test/ || die
+	rm -r tests/ || die
 }


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2022-04-04 15:32 Rick Farina
  0 siblings, 0 replies; 13+ messages in thread
From: Rick Farina @ 2022-04-04 15:32 UTC (permalink / raw
  To: gentoo-commits

commit:     8a9cae1a5f97e65e3ce33886587bc491daddee02
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  4 15:31:45 2022 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Mon Apr  4 15:31:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a9cae1a

dev-python/pyFFTW: drop 0.12.0-r1

Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 dev-python/pyFFTW/Manifest                |  1 -
 dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild | 42 -------------------------------
 2 files changed, 43 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 7857d7f47f2b..f4fedb44f500 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1,2 +1 @@
-DIST pyFFTW-0.12.0.tar.gz 147372 BLAKE2B 1ea1f1f8de6759c42781a535b30d7119c0cb02dffea3abfe4130a97c465e000aa9b3064a219718569552304513a77ac51aa309f1be29f9eecae25c63cce70c6c SHA512 e4d7258d5c053b5367d8c4f1892eba8e595f9d540c1c3e6caf61e0c113d598ba872b5e72a21edace66be70d9ad75c599e4b1fbc692e0015c3c1ae35e9a7ba599
 DIST pyFFTW-0.13.0.tar.gz 158660 BLAKE2B c54096f0814625d49832094a6d823c6d258801a0831b07846993da97a713238a5df5b59beddc38b7e940685403178b2f3100f5713334fc9861757420bc87303a SHA512 1d4c69cc19dd00f2433037f25ea90335544403b542c0c5ca00cb055e0fde076ec9e00990f02da2385466be171ed8c910a5ce06a7cfa5efbc6544b2383bbce599

diff --git a/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild b/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
deleted file mode 100644
index 8ec87a34fe67..000000000000
--- a/dev-python/pyFFTW/pyFFTW-0.12.0-r1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{8..9} )
-inherit distutils-r1
-
-DESCRIPTION="A pythonic python wrapper around FFTW"
-HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
-
-LICENSE="BSD"
-SLOT="0"
-if [[ "${PV}" = "9999" ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
-else
-	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-fi
-
-DEPEND="
-	dev-python/numpy[${PYTHON_USEDEP}]
-	>=sci-libs/fftw-3.3:3.0=[threads]
-"
-RDEPEND="${DEPEND}"
-BDEPEND="
-	dev-python/cython[${PYTHON_USEDEP}]
-	test? (
-		dev-python/dask[${PYTHON_USEDEP}]
-		dev-python/scipy[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests unittest
-
-python_test() {
-	cp -r -l -n test/ "${BUILD_DIR}/lib" || die
-	cd "${BUILD_DIR}/lib" || die
-	eunittest
-	rm -r test/ || die
-}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2022-06-05  5:40 Michał Górny
  0 siblings, 0 replies; 13+ messages in thread
From: Michał Górny @ 2022-06-05  5:40 UTC (permalink / raw
  To: gentoo-commits

commit:     dc77c3efde991f88ede2891e574480dcc69d9d83
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  5 05:38:43 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun  5 05:40:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc77c3ef

dev-python/pyFFTW: Add python@ as co-maint.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyFFTW/metadata.xml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-python/pyFFTW/metadata.xml b/dev-python/pyFFTW/metadata.xml
index 3656b10d5585..c90e2426dfbd 100644
--- a/dev-python/pyFFTW/metadata.xml
+++ b/dev-python/pyFFTW/metadata.xml
@@ -9,6 +9,10 @@
 		<email>radio@gentoo.org</email>
 		<name>Radio</name>
 	</maintainer>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
 	<upstream>
 		<remote-id type="github">pyFFTW/pyFFTW</remote-id>
 		<remote-id type="pypi">pyFFTW</remote-id>


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2023-01-10  6:21 Michał Górny
  0 siblings, 0 replies; 13+ messages in thread
From: Michał Górny @ 2023-01-10  6:21 UTC (permalink / raw
  To: gentoo-commits

commit:     2d8e7fb9952d3898a63c3fdb7e19a9b3daafee93
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 06:08:30 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 06:21:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d8e7fb9

dev-python/pyFFTW: Bump to 0.13.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyFFTW/Manifest             |  1 +
 dev-python/pyFFTW/pyFFTW-0.13.1.ebuild | 52 ++++++++++++++++++++++++++++++++++
 dev-python/pyFFTW/pyFFTW-9999.ebuild   | 34 +++++++++++++---------
 3 files changed, 73 insertions(+), 14 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index f4fedb44f500..302bcd643357 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1 +1,2 @@
 DIST pyFFTW-0.13.0.tar.gz 158660 BLAKE2B c54096f0814625d49832094a6d823c6d258801a0831b07846993da97a713238a5df5b59beddc38b7e940685403178b2f3100f5713334fc9861757420bc87303a SHA512 1d4c69cc19dd00f2433037f25ea90335544403b542c0c5ca00cb055e0fde076ec9e00990f02da2385466be171ed8c910a5ce06a7cfa5efbc6544b2383bbce599
+DIST pyFFTW-0.13.1.gh.tar.gz 159322 BLAKE2B f64ad74ac51c9e8c7a8137a212b43fe173a072006e3ec46e962c2bd48a3626d3c856acfc722977dc50a78afe0848ca9b25bd89b9b67168ddb285996cb18dd3ea SHA512 645d01ba94d652f9df4c5f8352f483de049df5fd846989024698365045b7b72293d9c84bd39ca2039e32db07796bbcb97eeafc8442ef4ab1de041539ed41bf9e

diff --git a/dev-python/pyFFTW/pyFFTW-0.13.1.ebuild b/dev-python/pyFFTW/pyFFTW-0.13.1.ebuild
new file mode 100644
index 000000000000..aea45023f2cf
--- /dev/null
+++ b/dev-python/pyFFTW/pyFFTW-0.13.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pythonic python wrapper around FFTW"
+HOMEPAGE="
+	https://github.com/pyFFTW/pyFFTW/
+	https://pypi.org/project/pyFFTW/
+"
+SRC_URI="
+	https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	>=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+	>=sci-libs/fftw-3.3:3.0=[threads]
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	>=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
+	test? (
+		>=dev-python/dask-1.0[${PYTHON_USEDEP}]
+		>=dev-python/scipy-1.8.0[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests unittest
+
+src_configure() {
+	# otherwise it'll start with -L/usr/lib, sigh
+	export PYFFTW_INCLUDE_DIR="${EPREFIX}/usr/include"
+	export PYFFTW_LIB_DIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+python_test() {
+	cp -r -l -n tests/ "${BUILD_DIR}/lib" || die
+	cd "${BUILD_DIR}/lib" || die
+	eunittest
+	rm -r tests/ || die
+}

diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index db7b32f540a5..2561ff31ec5b 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -1,39 +1,45 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 git-r3
 
 DESCRIPTION="A pythonic python wrapper around FFTW"
-HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
+HOMEPAGE="
+	https://github.com/pyFFTW/pyFFTW/
+	https://pypi.org/project/pyFFTW/
+"
+EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
 
 LICENSE="BSD"
 SLOT="0"
-if [[ "${PV}" = "9999" ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
-else
-	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-fi
 
 DEPEND="
-	>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.20[${PYTHON_USEDEP}]
 	>=sci-libs/fftw-3.3:3.0=[threads]
 "
-RDEPEND="${DEPEND}"
+RDEPEND="
+	${DEPEND}
+"
 BDEPEND="
 	>=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
 	test? (
 		>=dev-python/dask-1.0[${PYTHON_USEDEP}]
-		>=dev-python/scipy-1.2.0[${PYTHON_USEDEP}]
+		>=dev-python/scipy-1.8.0[${PYTHON_USEDEP}]
 	)
 "
 
 distutils_enable_tests unittest
 
+src_configure() {
+	# otherwise it'll start with -L/usr/lib, sigh
+	export PYFFTW_INCLUDE_DIR="${EPREFIX}/usr/include"
+	export PYFFTW_LIB_DIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
 python_test() {
 	cp -r -l -n tests/ "${BUILD_DIR}/lib" || die
 	cd "${BUILD_DIR}/lib" || die


^ permalink raw reply related	[flat|nested] 13+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/
@ 2023-01-10 11:07 Arthur Zamarin
  0 siblings, 0 replies; 13+ messages in thread
From: Arthur Zamarin @ 2023-01-10 11:07 UTC (permalink / raw
  To: gentoo-commits

commit:     619f2872874f991d5a077e1025879a4553220895
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 10:53:43 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 11:03:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=619f2872

dev-python/pyFFTW: drop 0.13.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyFFTW/Manifest             |  1 -
 dev-python/pyFFTW/pyFFTW-0.13.0.ebuild | 42 ----------------------------------
 2 files changed, 43 deletions(-)

diff --git a/dev-python/pyFFTW/Manifest b/dev-python/pyFFTW/Manifest
index 302bcd643357..87638690cd3d 100644
--- a/dev-python/pyFFTW/Manifest
+++ b/dev-python/pyFFTW/Manifest
@@ -1,2 +1 @@
-DIST pyFFTW-0.13.0.tar.gz 158660 BLAKE2B c54096f0814625d49832094a6d823c6d258801a0831b07846993da97a713238a5df5b59beddc38b7e940685403178b2f3100f5713334fc9861757420bc87303a SHA512 1d4c69cc19dd00f2433037f25ea90335544403b542c0c5ca00cb055e0fde076ec9e00990f02da2385466be171ed8c910a5ce06a7cfa5efbc6544b2383bbce599
 DIST pyFFTW-0.13.1.gh.tar.gz 159322 BLAKE2B f64ad74ac51c9e8c7a8137a212b43fe173a072006e3ec46e962c2bd48a3626d3c856acfc722977dc50a78afe0848ca9b25bd89b9b67168ddb285996cb18dd3ea SHA512 645d01ba94d652f9df4c5f8352f483de049df5fd846989024698365045b7b72293d9c84bd39ca2039e32db07796bbcb97eeafc8442ef4ab1de041539ed41bf9e

diff --git a/dev-python/pyFFTW/pyFFTW-0.13.0.ebuild b/dev-python/pyFFTW/pyFFTW-0.13.0.ebuild
deleted file mode 100644
index db7b32f540a5..000000000000
--- a/dev-python/pyFFTW/pyFFTW-0.13.0.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="A pythonic python wrapper around FFTW"
-HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
-
-LICENSE="BSD"
-SLOT="0"
-if [[ "${PV}" = "9999" ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
-else
-	KEYWORDS="~amd64 ~x86"
-	SRC_URI="https://github.com/pyFFTW/pyFFTW/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-fi
-
-DEPEND="
-	>=dev-python/numpy-1.16[${PYTHON_USEDEP}]
-	>=sci-libs/fftw-3.3:3.0=[threads]
-"
-RDEPEND="${DEPEND}"
-BDEPEND="
-	>=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
-	test? (
-		>=dev-python/dask-1.0[${PYTHON_USEDEP}]
-		>=dev-python/scipy-1.2.0[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests unittest
-
-python_test() {
-	cp -r -l -n tests/ "${BUILD_DIR}/lib" || die
-	cd "${BUILD_DIR}/lib" || die
-	eunittest
-	rm -r tests/ || die
-}


^ permalink raw reply related	[flat|nested] 13+ messages in thread

end of thread, other threads:[~2023-01-10 11:07 UTC | newest]

Thread overview: 13+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-12-26 15:38 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyFFTW/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2023-01-10 11:07 Arthur Zamarin
2023-01-10  6:21 Michał Górny
2022-06-05  5:40 Michał Górny
2022-04-04 15:32 Rick Farina
2021-12-28  9:03 Michał Górny
2021-11-03 19:27 Arthur Zamarin
2021-11-03 19:27 Arthur Zamarin
2021-05-17 22:36 Sam James
2021-02-11 21:21 Rick Farina
2020-12-04  3:16 Rick Farina
2019-12-20 19:41 Rick Farina
2018-02-19 17:29 Richard Farina

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox